export declare class ProtectedValue {
    private readonly _value;
    private readonly _salt;
    constructor(value: ArrayBuffer, salt: ArrayBuffer);
    toString(): string;
    static fromString(str: string): ProtectedValue;
    /**
     * Keep in mind that you're passing the ownership of this array, the contents will be destroyed
     */
    static fromBinary(binary: ArrayBuffer): ProtectedValue;
    includes(str: string): boolean;
    getHash(): Promise<ArrayBuffer>;
    getText(): string;
    getBinary(): Uint8Array;
    setSalt(newSalt: ArrayBuffer): void;
    clone(): ProtectedValue;
    get byteLength(): number;
}
